#
# spec file for package libgnomesu (Version 1.0.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libgnomesu
BuildRequires:  intltool libgnomeui-devel pam-devel perl-XML-Parser update-desktop-files
Url:            http://members.chello.nl/~h.lai/libgnomesu/
%define prefix  /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL v2.1 or later
Group:          System/GUI/GNOME
AutoReqProv:    on
PreReq:         permissions
Requires:       gnome-icon-theme shared-mime-info
Provides:       xsu
Obsoletes:      xsu
Version:        1.0.0
Release:        32.37.23
Summary:        GNOME su Library
Source:         libgnomesu-%{version}.tar.bz2
Source1:        gnomesu-pam.pamd
Source2:        libgnomesu-po.tar.bz2
Patch:          libgnomesu-libtool.patch
Patch1:         libgnomesu-1.0.0-xauth-nolookup.patch
Patch2:         libgnomesu-1.0.0-spin-mainloop.patch
Patch3:         libgnomesu-no-selectable-error.patch
Patch4:         libgnomesu-1.0.0-ensure-xauthority-env.patch
Patch5:         libgnomesu-scrollbar.patch
Patch6:         libgnomesu-password-translation.patch
Patch7:         libgnomesu-po-update.patch
Patch8:         libgnomesu-bnc440970-safe-path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libgnomesu is a library for providing superuser privileges to GNOME
applications. It supports sudo, consolehelper, PAM, and su.



Authors:
--------
    Hongli Lai <h.lai@chello.nl>

%package devel
License:        LGPL v2.1 or later
Summary:        Development files for libgnomesu
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       libgnome-devel libgnomecanvas-devel libbonoboui-devel pam-devel
AutoReqProv:    on

%description devel
This package contains all files needed to develop with libgnomesu.



Authors:
--------
    Hongli Lai <h.lai@chello.nl>

%prep
%setup -q -n libgnomesu-%{version} -a 2
%patch
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5
%patch6 -p0
%patch7
%patch8 -p1
cp -a %{S:1} pam-backend/gnomesu-pam

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal -I .
automake -c -a -f
autoconf 
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib \
	    --with-native-locale=yes \
	    --with-xinput=xfree \
	    --mandir=%{_mandir} \
	    --libexecdir=%{prefix}/lib/libgnomesu \
	    --infodir=%{_infodir} \
	    --sysconfdir=%{sysconfdir} \
	    --localstatedir=/var \
	    --disable-schemas-install \
	    --disable-setuid-error 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT/opt/gnome/lib/libgnomesu/gnomesu-backend
chmod 4755 $RPM_BUILD_ROOT/opt/gnome/lib/libgnomesu/gnomesu-pam-backend
%find_lang libgnomesu-1.0
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp AUTHORS README NEWS ChangeLog doc/api.html doc/libgnomesu.css $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
# We want only PAM backend.
rm $RPM_BUILD_ROOT%{prefix}/lib/libgnomesu/gnomesu-backend
%if %is_plus
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d
cat >$RPM_BUILD_ROOT/etc/permissions.d/%{name}.easy <<EOF
# libgnomesu (#75823)
/opt/gnome/lib/libgnomesu/gnomesu-pam-backend           root:root         4755
EOF
cat >$RPM_BUILD_ROOT/etc/permissions.d/%{name}.secure <<EOF
# libgnomesu (#75823)
/opt/gnome/lib/libgnomesu/gnomesu-pam-backend           root:root         4755
EOF
cat >$RPM_BUILD_ROOT/etc/permissions.d/%{name}.paranoid <<EOF
# libgnomesu (#75823)
/opt/gnome/lib/libgnomesu/gnomesu-pam-backend           root:root         0755
EOF
%endif

%post
%run_permissions
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
%verifyscript
%verify_permissions -e %{prefix}/lib/libgnomesu/gnomesu-pam-backend

%files -f %files -f libgnomesu-1.0.lang
%defattr(-,root,root)
%doc %dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/AUTHORS
%doc %{_defaultdocdir}/%{name}/README
%doc %{_defaultdocdir}/%{name}/NEWS
%doc %{_defaultdocdir}/%{name}/ChangeLog
%config /etc/pam.d/gnomesu-pam
%if %is_plus
/etc/permissions.d/%{name}.*
%endif
%{prefix}/bin/gnomesu
%dir %{prefix}/lib/libgnomesu
#%attr (6755,root,root) %{prefix}/lib/libgnomesu/gnomesu-backend
#%attr (6755,root,root) %{prefix}/lib/libgnomesu/gnomesu-pam-backend
# NOTE: Original package has 6755.
# We have only 4755 and for easy and secure profile.
%verify (not mode) %attr (4755,root,root) %{prefix}/lib/libgnomesu/gnomesu-pam-backend
%{prefix}/%_lib/libgnomesu.so.*
%{prefix}/share/application-registry/gnomesu-nautilus.applications
%{prefix}/share/mime-info/gnomesu-nautilus.keys

%files devel
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}/api.html
%doc %{_defaultdocdir}/%{name}/libgnomesu.css
%{prefix}/include/libgnomesu-1.0
%{prefix}/%_lib/pkgconfig/libgnomesu-1.0.pc
%{prefix}/%_lib/libgnomesu.so
%{prefix}/%_lib/libgnomesu.*a

%changelog
* Wed Jul 15 2009 vuntz@suse.de
- Add libgnomesu-bnc440970-safe-path.patch to fix bnc#440970:
  instead of resetting PATH to a default value that we can't get
  right, just remove the unsafe values.
* Fri Apr 18 2008 mauro@suse.de 
- Updated translations.
* Tue Apr  8 2008 mauro@suse.de 
- Updated translations (fixing pt_BR issues in the process).
* Fri Mar 28 2008 mauro@suse.de
- Updated translations.
* Fri Mar 14 2008 mauro@suse.de 
- Updated translations.
* Thu Feb 21 2008 mauro@suse.de
- Updated translations.
* Sat Feb 16 2008 mauro@suse.de
- Updated translations.
* Thu Apr 19 2007 maw@suse.de
- Update translations.
* Fri Mar 30 2007 jhargadon@suse.de
- translation updates
* Sat Mar  3 2007 jhargadon@suse.de
- updated Polish translations (#246824)
* Wed Feb 28 2007 jhargadon@suse.de
- 2nd round of translations
* Fri Feb 16 2007 jhargadon@suse.de
- updated translations from forgesvn1.novell.com
* Tue Jun 20 2006 sbrabec@suse.cz
- Updated translations from upstream (179651#c15).
* Fri May 26 2006 zsu@suse.de
- bugzilla #169082. Call _() to translate label string "_Password:"
* Thu May 18 2006 ro@suse.de
- add setuid bit to gnomesu-pam-backend in level secure (#175616)
* Thu May  4 2006 danw@suse.de
- stick the command label in a scrolledwindow in case it's really
  really long. #161044
* Thu May  4 2006 hpj@suse.de
- Add patch to ensure that XAUTHORITY is always set in the child
  environment. Fixes Novell bug #172494.
* Fri Mar 31 2006 danw@suse.de
- Don't mark the error text as "selectable", since that will make
  it focusable as well and mess up the tab order. #162600
* Tue Mar 21 2006 hpj@suse.de
- Add patch to make it spin the main loop while waiting for the
  child to exit. Fixes Novell bug #156445.
* Mon Jan 30 2006 ro@suse.de
- reduce BuildRequires as far as possible
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 18 2005 hpj@suse.de
- Fixed the nlist/nmerge patch to actually work (#119600).
* Fri Oct 14 2005 hpj@suse.de
- Run xauth nlist/nmerge instead of list, prevents DNS lookups
  (#119600).
* Tue Sep 20 2005 sbrabec@suse.cz
- Removed references to build directory in installed .la files.
- Fixed devel dependencies.
* Thu Jun  9 2005 sbrabec@suse.cz
- Updated to version 1.0.0.
- Set permissions properly (#75823).
- Removed crypt backend (#75823).
* Mon May 16 2005 sbrabec@suse.cz
- Updated to version 0.9.7.
* Thu May 12 2005 sbrabec@suse.cz
- Provide and obsolete xsu (#75823).
- Fixed crash on x86_64.
- Build and install PAM backend.
- Fixed backend permissions.
* Fri Apr 15 2005 sbrabec@suse.cz
- Simplified neededforbuild.
- Added devel documentation.
* Tue Feb  8 2005 hhetter@suse.de
- package without setuid bits for now (#50436)
* Thu Feb  3 2005 hhetter@suse.de
- initial SUSE package
